Subject: Re: [PATCH] d80211: don't symlink empty default keys

From: Jan Kiszka <[email-masked]>
Date: Tue, 09 Jan 2007 23:43:58 +0100

Jan Kiszka wrote:
> This gets rid of annoying
> 
> wlan0: cannot create symlink to default key
> 
> in my syslog with latest rt2x00. The patch takes care that in case of
> (key/old_key == NULL && set_tx_key) the existing default key symlink is
> removed correctly. Moreover, it tests for key!=NULL before trying to register
> a new default link.
> 

Grr, just noticed that the subject was still only reflecting one part of
the patch. Let's call it "fix default key symlink creation/cleanup".

Jan